<script lang="ts" setup>
import { RouterLink } from 'vue-router'

import ArrowRightIcon from '@/components/Icons/ArrowRightIcon.vue'

type Route = {
  name: string,
  path: string
}

defineProps({
  route: {
    type: Array<Route>,
    required: true,
  },
  title: {
    type: String,
    required: true,
  },
})

</script>

<template>
  <div class="background"></div>
  <div class="header">
    <div class="route">
      <RouterLink v-for="(item, index) of [{
        name: 'Coldwire',
        path: '/'
      }, ...route]" :to="item.path" :class="index >= route.length ? 'active' : ''">
        {{ item.name }}
        <ArrowRightIcon v-if="index < route.length" />
      </RouterLink>
    </div>
    <span class="title">{{ title }}</span>
  </div>
</template>

<style scoped>
.background {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  height: 396px;
  background-color: var(--primary-green);
  z-index: -10;
}

.header {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 16px;

  margin-top: 64px;
  margin-bottom: 196px;
}

.route {
  display: flex;
  flex-direction: row;
  gap: 8px;

  text-decoration: none;
  font-weight: 600;
  font-size: 14px;
  color: var(--complementary-white);
}

.route a {
  display: flex;
  flex-direction: row;
  gap: 8px;
  align-items: center;
  opacity: 50%;
}

.route .active {
  display: flex;
  flex-direction: row;
  gap: 8px;
  align-items: center;
  opacity: 100%;
}

.title {
  font-size: 36px;
  font-weight: 600;
  max-width: 720px;
}
</style>